Skip to main content
`Ctrl`+`K`

# DMSwarmSetCoordinateFunction

Set the function setting initial particle positions

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSetCoordinateFunction(DM sw, PetscSimplePointFn *coordFunc)

Not Collective

## Input Parameters

- sw - the `DMSWARM`

- coordFunc - the function setting initial particle positions, see `PetscSimplePointFn` for the calling sequence

## See Also

`DMSWARM`, `DMSwarmGetCoordinateFunction()`, `DMSwarmSetVelocityFunction()`, `DMSwarmInitializeCoordinates()`, `PetscSimplePointFn`

## Level

intermediate

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages